Bug 1016969 - Kernel stack trace at drivers/gpu/drm/drm_crtc.c:1992
Kernel stack trace at drivers/gpu/drm/drm_crtc.c:1992
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 00:59 EDT by Pete Wright
Modified: 2015-02-17 12:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:34:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Wright 2013-10-09 00:59:08 EDT
Description of problem:
after a day or so of work use on HP laptop I start seeing the following stack traces:

Oct  8 20:59:27 malibu kernel: [56515.220603] WARNING: CPU: 4 PID: 364 at drivers/gpu/drm/drm_crtc.c:1992 drm_mode_set_config_internal+0xd6/0xe0 [drm]()


Eventually Xwindows will become unsuable and system will require a reboot.

Version-Release number of selected component (if applicable):
Fedora-19
uname: Linux malibu.rubicorp.com 3.11.3-201.fc19.x86_64 #1 SMP Thu Oct 3 00:47:03 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Very

Steps to Reproduce:
1. HP EliteBook 8470w
2. Lock, Unloack screen and suspend system.
3. Examine logs.

Actual results:
UI becomes unstable.

Expected results:
UI Stability b/w suspend and attachment and detachment of secondary monitors.

Additional info:
Example kernel stack trace is here
Oct  8 20:59:27 malibu kernel: [56515.220579] ------------[ cut here ]------------
Oct  8 20:59:27 malibu kernel: [56515.220603] WARNING: CPU: 4 PID: 364 at drivers/gpu/drm/drm_crtc.c:1992 drm_mode_set_config_internal+0xd6/0xe0 [drm]()
Oct  8 20:59:27 malibu kernel: [56515.220615] Modules linked in: ebtable_nat xt_CHECKSUM fuse tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_security iptable_raw nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep vsock snd_hda_codec_hdmi snd_hda_codec_idt iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm crc32_pclmul crc32c_intel hp_wmi ghash_clmulni_intel sparse_keymap ppdev arc4 iwldvm btusb mac80211 microcode joydev uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops snd_hda_intel videobuf2_core snd_hda_codec videodev iwlwifi snd_hwdep serio_raw snd_seq cfg80211 media sdhci_pci sdhci snd_seq_device mmc_core rfkill snd_pcm lpc_ich e1000e snd_page_alloc mfd_core snd_timer snd ptp mei_me soundcore mei pps_core shpchp wmi parport_pc tpm_tis parport tpm_infineon tpm tpm_bios hp_accel lis3lv02d video input_polldev mperf binfmt_misc uinput radeon i2c_algo_bit drm_kms_helper ttm firewire_ohci drm firewire_core crc_itu_t i2c_core
Oct  8 20:59:27 malibu kernel: [56515.220626] CPU: 4 PID: 364 Comm: Xorg Tainted: G        W    3.11.3-201.fc19.x86_64 #1
Oct  8 20:59:27 malibu kernel: [56515.220626] Hardware name: Hewlett-Packard HP EliteBook 8470w/179B, BIOS 68ICF Ver. F.32 12/05/2012
Oct  8 20:59:27 malibu kernel: [56515.220628]  0000000000000009 ffff88035e7fdae0 ffffffff8164777f 0000000000000000
Oct  8 20:59:27 malibu kernel: [56515.220630]  ffff88035e7fdb18 ffffffff8106715d ffff8804246184a0 0000000000000000
Oct  8 20:59:27 malibu kernel: [56515.220631]  ffff8804277fe000 ffff880424319860 0000000000000080 ffff88035e7fdb28
Oct  8 20:59:27 malibu kernel: [56515.220631] Call Trace:
Oct  8 20:59:27 malibu kernel: [56515.220636]  [<ffffffff8164777f>] dump_stack+0x45/0x56
Oct  8 20:59:27 malibu kernel: [56515.220638]  [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
Oct  8 20:59:27 malibu kernel: [56515.220639]  [<ffffffff8106723a>] warn_slowpath_null+0x1a/0x20
Oct  8 20:59:27 malibu kernel: [56515.220646]  [<ffffffffa003fae6>] drm_mode_set_config_internal+0xd6/0xe0 [drm]
Oct  8 20:59:27 malibu kernel: [56515.220649]  [<ffffffffa00ab641>] drm_fb_helper_set_par+0x71/0xf0 [drm_kms_helper]
Oct  8 20:59:27 malibu kernel: [56515.220652]  [<ffffffff813457b1>] fb_set_var+0x191/0x430
Oct  8 20:59:27 malibu kernel: [56515.220655]  [<ffffffff81144606>] ? free_hot_cold_page_list+0x46/0xa0
Oct  8 20:59:27 malibu kernel: [56515.220657]  [<ffffffff81350f81>] fbcon_blank+0x1d1/0x2d0
Oct  8 20:59:27 malibu kernel: [56515.220658]  [<ffffffff813c68f4>] do_unblank_screen+0xb4/0x1e0
Oct  8 20:59:27 malibu kernel: [56515.220660]  [<ffffffff813bd973>] vt_ioctl+0x10d3/0x1150
Oct  8 20:59:27 malibu kernel: [56515.220662]  [<ffffffff81646e5b>] ? avc_compute_av+0x1a3/0x1b5
Oct  8 20:59:27 malibu kernel: [56515.220663]  [<ffffffff813b1695>] tty_ioctl+0x275/0xb70
Oct  8 20:59:27 malibu kernel: [56515.220665]  [<ffffffff8129a269>] ? avc_has_perm_flags+0xc9/0x180
Oct  8 20:59:27 malibu kernel: [56515.220668]  [<ffffffff811b9f4d>] do_vfs_ioctl+0x2dd/0x4b0
Oct  8 20:59:27 malibu kernel: [56515.220670]  [<ffffffff811a9d6e>] ? ____fput+0xe/0x10
Oct  8 20:59:27 malibu kernel: [56515.220671]  [<ffffffff811ba1a1>] SyS_ioctl+0x81/0xa0
Oct  8 20:59:27 malibu kernel: [56515.220673]  [<ffffffff81656959>] system_call_fastpath+0x16/0x1b
Oct  8 20:59:27 malibu kernel: [56515.220674] ---[ end trace 0e5b42bab49a2c03 ]---
Oct  8 20:59:27 malibu kernel: [56515.239621] ------------[ cut here ]------------
Comment 1 Fedora End Of Life 2015-01-09 15:10:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:34:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.